

### Combined resolution calculation

```shell
for (int i=0;i<gr.GetN();i++) { 
    double ctheta0=1-(i+0.5)/(gr.GetN()); 
    double ttheta0=sqrt(1-pow(ctheta0,2))/ctheta0;
    double sigmaT=getResolutionT(ctheta0,40)/15;
    double sigmaX=getResolution(ctheta0,40)/2;
    gr.SetPoint(i,ttheta0,1./sigmaT+1./sigmaX);
}
```